slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSKrylovSchurGetSubcommPairs

Gets the i-th eigenpair stored internally in the subcommunicator to which the calling process belongs.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSKrylovSchurGetSubcommPairs(EPS eps,PetscInt i,PetscScalar *eig,Vec v)

Collective on the subcommunicator (if v is given)

### Input Parameters

| eps | - the eigenproblem solver context
| i | - index of the solution

### Output Parameters

| eig | - the eigenvalue
| v | - the eigenvector

### Notes

It is allowed to pass NULL for v if the eigenvector is not required. Otherwise, the caller must provide a valid Vec objects, i.e., it must be created by the calling program with EPSKrylovSchurGetSubcommInfo().

The index i should be a value between 0 and n-1, where n is the number of vectors in the local subinterval, see EPSKrylovSchurGetSubcommInfo().

### See Also

EPSSetInterval(), EPSKrylovSchurSetPartitions(), EPSKrylovSchurGetSubcommInfo(), EPSKrylovSchurGetSubcommMats()

### Level

advanced

### Location

src/eps/impls/krylov/krylovschur/krylovschur.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages